<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Versioning\VersionableControllerTrait;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * History controller trait.
 *
 * @since  2.0
 */
if (version_compare(JVERSION, '4.0.0', 'ge')) {
    trait VmcustomadvancedControllerHistoryTrait
    {
        use VersionableControllerTrait {
            VersionableControllerTrait::loadhistory as private parentLoadhistory;
        }

        public function loadhistory()
        {
            return $this->parentLoadhistory();
        }
    }
} else {
    // phpcs:disable
    trait VmcustomadvancedControllerHistoryTrait {}
    // phpcs:enable
}
