<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Factory;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

if (!trait_exists('VmcustomadvancedControllerHistoryTrait')) {
    require __DIR__ . '/historytrait.php';
}
// phpcs:enable PSR1.Files.SideEffects

/**
 * Option controller class.
 *
 * @since  1.6
 */
class VmcustomadvancedControllerOption extends JControllerForm
{
    use VmcustomadvancedControllerHistoryTrait;

    /**
     * Constructor
     *
     * @throws Exception
     */
    public function __construct()
    {
        $this->view_list = 'options';

        parent::__construct();
    }

    public function saveState()
    {
        /** @var \Joomla\CMS\Application\CMSApplication $app */
        $app  = Factory::getApplication();
        $data = $app->input->get('jform', [], 'array');
        $id   = $app->input->getInt('id', 0);

        if (!empty($data) && is_array($data)) {
            $app->setUserState('com_vmcustomadvanced.edit.option.data', $data);
        }

        $this->setRedirect(JRoute::_('index.php?option=com_vmcustomadvanced&view=option&layout=edit&id=' . $id, false));
    }
}
