<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Language\Text;
use Joomla\Utilities\ArrayHelper;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * VMCustomAdvanced Listhelper.
 */
abstract class JHtmlListhelper
{
    public static function toggle($value, $view, $field, $i)
    {
        $states = array(
            0 => array('icon-remove', Text::_('Toggle'), 'inactive btn-danger'),
            1 => array('icon-checkmark', Text::_('Toggle'), 'active btn-success')
        );

        $state  = ArrayHelper::getValue($states, (int) $value, $states[0]);
        $text   = '<span aria-hidden="true" class="' . $state[0] . '"></span>';
        $html   = '<a href="#" class="btn btn-micro ' . $state[2] . '"';
        $html  .= 'onclick="return toggleField(\'cb' . $i . '\',\'' . $view . '.toggle\',\'' . $field . '\')" title="' . Text::_($state[1]) . '">' . $text . '</a>';

        return $html;
    }
}
