<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\HTML\HTMLHelper;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldSets extends JFormFieldList
{
    protected $type = 'Sets';

    protected static $sets = null;

    protected function getOptions()
    {
        if (self::$sets === null) {
            $db    = JFactory::getDbo();
            $query = $db->getQuery(true);

            $query->select($db->quoteName('id'))
                ->select($db->quoteName('title'))
                ->from($db->quoteName('#__vmcustomadvanced_sets'))
                ->order($db->quoteName('ordering'));

            $db->setQuery($query);
            $sets = $db->loadObjectList();

            if (empty($sets)) {
                self::$sets = [];
            } else {
                self::$sets = $sets;
            }
        }

        $options = [];

        foreach (self::$sets as $set) {
            $options[] = HTMLHelper::_('select.option', $set->id, $set->title);
        }

        return array_merge(parent::getOptions(), $options);
    }
}
