<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Table\Table;
use Joomla\CMS\Versioning\VersionableModelTrait;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * History controller trait.
 *
 * @since  2.0
 */
if (version_compare(JVERSION, '4.0.0', 'ge')) {
    trait VmcustomadvancedModelHistoryTrait
    {
        use VersionableModelTrait {
            VersionableModelTrait::loadhistory as private parentLoadhistory;
        }

        /**
         * Method to load a row for editing from the version history table.
         *
         * @param   integer  $versionId  Key to the version history table.
         * @param   Table    $table      Content table object being loaded.
         *
         * @return  boolean  False on failure or error, true otherwise.
         */
        public function loadhistory($versionId, Table &$table)
        {
            return $this->parentLoadhistory($versionId, $table);
        }
    }
} else {
    // phpcs:disable
    trait VmcustomadvancedModelHistoryTrait {}
    // phpcs:enable
}
