<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_vmcustomadvanced')) {
    throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
}

include_once JPATH_COMPONENT_SITE . '/define.php';

// Register all component MVC classes
JLoader::registerPrefix('VMCustomAdvanced', JPATH_COMPONENT_ADMINISTRATOR);

// Register helper class
JLoader::register('VMCustomAdvancedHelper', JPATH_COMPONENT_ADMINISTRATOR . '/helpers/vmcustomadvanced.php');

// Register VirtueMart
VMCustomAdvancedHelper::registerVirtueMart();

// Check system
VMCustomAdvancedHelper::checkSystem();

// Get an instance of the controller
$controller = JControllerLegacy::getInstance('VMCustomAdvanced');

// Execute task
$controller->execute(JFactory::getApplication()->input->get('task'));

// Redirect to the view
$controller->redirect();
