<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

extract($displayData);

HTMLHelper::_('jquery.framework');

HTMLHelper::_('stylesheet', 'com_vmcustomadvanced/select2.min.css', ['version' => 'ver=4.0.5', 'relative' => true]);
HTMLHelper::_('stylesheet', 'com_vmcustomadvanced/style.css', ['version' => 'ver=' . $version, 'relative' => true]);

HTMLHelper::_('script', 'com_vmcustomadvanced/select2.min.js', ['version' => 'ver=4.0.5', 'relative' => true]);
HTMLHelper::_('script', 'com_vmcustomadvanced/app.min.js', ['version' => 'ver=' . $version, 'relative' => true]);
?>
<div class="plg-vmcustom-advanced" data-cid="<?php echo $fields->virtuemart_custom_id; ?>" data-pid="<?php echo $product->virtuemart_product_id; ?>" data-maxlevel="<?php echo $max_level; ?>" data-queryurl="<?php echo htmlspecialchars($query_url, ENT_COMPAT, 'UTF-8'); ?>" data-required="<?php echo $fields->required; ?>" data-multiple="<?php echo $fields->multiple; ?>" data-stockcheck="<?php echo $fields->stock_check; ?>" data-nostocktext="<?php echo htmlspecialchars(Text::_('COM_VMCUSTOMADVANCED_INFO_OUT_OF_STOCK'), ENT_COMPAT, 'UTF-8'); ?>">
    <?php if (!empty($variants->options)) : ?>
        <?php echo PlgVmCustomAdvancedHelper::renderLayout('variants', ['product' => $product, 'field' => $field, 'fields' => $fields, 'variants' => $fields->variants, 'max_level' => $max_level]); ?>
    <?php endif; ?>
</div>
