<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

extract($displayData);

$lang = Factory::getLanguage();
$html = [];

foreach ($sets as $set) {
    if (!empty($selected[$set->id])) {
        $optionHtmls = [];

        foreach ($selected[$set->id] as $option_id) {
            if (!isset($set->options[$option_id])) {
                continue;
            }

            $option = $set->options[$option_id];
            $title  = $lang->hasKey($option->alias) ? Text::_($option->alias) : $option->title;
            $optionHtml = [];

            $optionHtml[] = '<span class="plg-vmcustom-advanced-set-value">';
            $optionHtml[] = '<span class="plg-vmcustom-advanced-option-title">' . $title . '</span>';
            $optionHtml[] = '</span>';

            $optionHtmls[] = implode('', $optionHtml);
        }

        if (!empty($optionHtmls)) {
            $html[] = '<div class="plg-vmcustom-advanced-set">';
            $html[] = '<span class="plg-vmcustom-advanced-set-title">';
            $html[] = $lang->hasKey($set->alias) ? Text::_($set->alias) : $set->title;
            $html[] = ': &nbsp;</span>';
            $html[] = implode(', ', $optionHtmls);
            $html[] = '</div>';
        }
    }
}
?>
<span class="plg-vmcustom-advanced-sets">
    <?php echo implode('', $html); ?>
</span>

