<?php

/**
 * @package    VP Advanced Custom Field for VirtueMart
 *
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2023 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

extract($displayData);

$selectedOptions = isset($field->sets) ? (object) $field->sets : [];
?>
<table class="admintable vmcustomadvanced-table">
    <tr>
        <td>
            <?php foreach ($sets as $set) : ?>
                <?php
                $name     = $formControl . '[sets][' . $set->id . ']';
                $id       = $formControlID . 'sets_' . $set->id;
                $selected = isset($selectedOptions->{$set->id}) ? $selectedOptions->{$set->id} : '';
                ?>
                <label for="<?php echo $id; ?>"><?php echo $set->title; ?></label>
                <?php echo HTMLHelper::_('select.genericlist', $set->listOptions, $name, 'class="vmcustomadvanced-select-field"', 'value', 'text', $selected, $id); ?>
            <?php endforeach; ?>
        </td>
        <td>
            <label for="<?php echo $formControlID . '_stock'; ?>"><strong><?php echo Text::_('COM_VIRTUEMART_PRODUCT_FORM_IN_STOCK'); ?></strong></label>
            <input type="number" name="<?php echo $formControl . '[stock]'; ?>" id="<?php echo $formControlID . '_stock'; ?>" class="vmcustomadvanced-number-field" value="<?php echo $field->stock; ?>" step="1" />
        </td>
        <td>
            <label for="<?php echo $formControlID . '_ordered'; ?>"><strong><?php echo Text::_('COM_VIRTUEMART_PRODUCT_FORM_ORDERED_STOCK'); ?></strong></label>
            <input type="number" name="<?php echo $formControl . '[ordered]'; ?>" id="<?php echo $formControlID . '_ordered'; ?>" class="vmcustomadvanced-number-field" value="<?php echo $field->ordered; ?>" step="1" />
        </td>
    </tr>
</table>
